Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMChoice

    java.lang.Object
      |
      +--com.bea.schema.SOMObject
            |
            +--com.bea.schema.SOMGroupType
                  |
                  +--com.bea.schema.SOMChoice

public class SOMChoice
extends SOMGroupType

<choice> The grouping construct for schema components. The XML representation for a model group schema component is either an <all>, a <choice> or a <sequence> element information item. The choice component specifies that one of the children must be present to be valid.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class com.bea.schema.SOMGroupType
`m_childElements`

Constructor Summary
`` | `SOMChoice()`
`protected` | `SOMChoice(org.xml.sax.Attributes attrs, SOMObject parent)`

Method Summary
`SOMAll` | `add(SOMAll p_all)` An <all> is an illegal child element for <choice>.
`void` | `createDefault(DefaultDocumentOptions options, org.w3c.dom.Element current)`
`java.lang.String` | `getID()`
`protected boolean` | `startsWith(org.w3c.dom.Node element)`
`protected org.w3c.dom.Node` | `validate(org.w3c.dom.Node element, java.util.List errorList)`

Methods inherited from class com.bea.schema.SOMGroupType
`add, add, add, add, add, addAnnotation, addChild, addElement, addElement, contains, getAnnotation, getAttributes, getChildren, getChildrenString, getMaxOccurs, getMaxOccursString, getMinOccurs, getMinOccursString, remove, removeAnnotation, setMaxOccurs, setMaxOccurs, setMinOccurs, setMinOccurs, toXML, validateOccurances`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, attributesToXML, collectEffectivePrefixMappings, doIndent, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, namespacePrefixesToXML, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, toString, toXML, toXML, toXML, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMChoice

    public SOMChoice()

### SOMChoice

    protected SOMChoice(org.xml.sax.Attributes attrs,
                        SOMObject parent)

Method Detail

### getID

    public java.lang.String getID()

  Overrides:
    getID in class SOMObject

### add

    public SOMAll add(SOMAll p_all)

  An <all> is an illegal child element for <choice>. This method ALWAYS throws an IllegalArgumentException.

  Parameters:
    `p_any` - not applicable
  Returns:
    not applicable
  Overrides:
    add in class SOMGroupType

### createDefault

    public void createDefault(DefaultDocumentOptions options,
                              org.w3c.dom.Element current)

  Overrides:
    createDefault in class SOMGroupType

### validate

    protected org.w3c.dom.Node validate(org.w3c.dom.Node element,
                                        java.util.List errorList)
                                 throws SOMValidationException

  Overrides:
    validate in class SOMGroupType

### startsWith

    protected boolean startsWith(org.w3c.dom.Node element)

  Overrides:
    startsWith in class SOMGroupType

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)